<?php  include_once('../../config/db.php');  //include_once('../config/check.php'); 






$query = "   SELECT a.*, CONCAT (a.type,'00',a.id)  coanum , b.id bid ,
                                b.name bname , c.id cid,c.name cname ,d.id did , d.name dname ,e.code ecode  FROM coa a
                                LEFT JOIN coa_group  b ON a.cgroup=b.id  
                                LEFT JOIN coa_accounts c  ON a.type =c.id  
                                LEFT JOIN coa_group_sub d  ON a.subgroup =d.id
                                LEFT JOIN acccurrency e  on a.currency=e.id 
                                where a.payaccount=1      ";





$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();



foreach($result as $row)
{
  
    $edit = ' <form method="post" action="adcoae" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit" style="color:green;" ></i>  </button></form> ' ; 
    $delete = ' <form method="post" action="" >  <button type="submit" style="background:none;border:none;padding:0px; font-color:red; outline:none; " name="delete" value="' . $row["id"] . '"   "> <i class="fa fa-trash" style="color:red;" ></i>  </button></form> ' ; 
       
   
    $sub_array = array();
   
    
    $sub_array[] =  $delete ;
    $sub_array[] =  $edit ;
    $sub_array[] = $row['date'];
    $sub_array[] = $row['ecode'];
    $sub_array[] = $row['cname'];
    $sub_array[] = $row['bname'];
    $sub_array[] = $row['dname'];
    $sub_array[] = $row['coanum'];
    $sub_array[] = $row['name'];
    $sub_array[] = $row['description'];
    
   
    $data[] = $sub_array;

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>




